Watershed Improvement District

Dam Cam

The camera requires Internet Explorer 6.0 SP2 or later on Windows XP or later. Internet Explorer 6.0 SP1 or later is required when using Windows 2000 Professional SP4.

You may be required to download an ActiveX object the first time you view this camera. Note that this installation could take several minutes.

If you have problems with this download click here to download the setup file. When the File Download - Security Warning prompt appears select Run to install the necessary software.

 

 

Log in